polymake (4.11-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:04:02 +0100

polymake (4.11-2build2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:53 +0100

polymake (4.11-2build1) noble; urgency=medium

  * No-change rebuild against libflint18

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Jan 2024 15:16:45 +0000

polymake (4.11-2) unstable; urgency=medium

  * Source-only upload

 -- David Bremner <bremner@debian.org>  Wed, 22 Nov 2023 09:10:20 -0400

polymake (4.11-1) unstable; urgency=medium

  * New upstream release (Closes: #1042521).
  * Apply upstream commit 4ce0549f (Closes: #1052830).

 -- David Bremner <bremner@debian.org>  Mon, 20 Nov 2023 17:02:44 -0400

polymake (4.8-1) unstable; urgency=medium

  * New Upstream release
  * Bug fix: "VISUAL fails when browser is already started", thanks to
    Joachim Zobel (Closes: #1016002). Tested with Chromium 108.

 -- David Bremner <bremner@debian.org>  Mon, 26 Dec 2022 12:30:22 -0400

polymake (4.6-5) unstable; urgency=medium

  * Bug fix: "missing dependency on perlapi", thanks to Niko Tyni (Closes:
    #1015013).

 -- David Bremner <bremner@debian.org>  Fri, 22 Jul 2022 07:00:51 -0400

polymake (4.6-4) unstable; urgency=medium

  * Bug fix: "FTBFS with Perl 5.36: HVhek_UNSHARED’ was not declared in
    this scope", thanks to Niko Tyni and Benjamin Lorenz (Closes:
    #1014296).

 -- David Bremner <bremner@debian.org>  Mon, 04 Jul 2022 14:46:59 -0300

polymake (4.6-3) unstable; urgency=medium

  * Source only upload.

 -- David Bremner <bremner@debian.org>  Mon, 06 Jun 2022 10:16:31 -0300

polymake (4.6-2) unstable; urgency=medium

  * re-upload with binaries.

 -- David Bremner <bremner@debian.org>  Fri, 22 Apr 2022 16:01:43 -0300

polymake (4.6-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Fri, 22 Apr 2022 11:19:48 -0300

polymake (4.4-5) unstable; urgency=medium

  * Add missing symlink to libpolymake4.4 (Thanks to Ewgenij Gawrilow for
    the patch).

 -- David Bremner <bremner@debian.org>  Tue, 15 Mar 2022 09:08:10 -0300

polymake (4.4-4) unstable; urgency=medium

  * Add singular-{data,modules,ui} for tests, thanks to Lucas Nussbaum,
    Benjamin Lorenz (Closes: #1002281).

 -- David Bremner <bremner@debian.org>  Wed, 22 Dec 2021 09:25:46 -0400

polymake (4.4-3) unstable; urgency=medium

  * Source only upload

 -- David Bremner <bremner@debian.org>  Sun, 31 Oct 2021 12:03:41 -0300

polymake (4.4-2) unstable; urgency=medium

  * Re-upload with binaries, and to unstable

 -- David Bremner <bremner@debian.org>  Wed, 01 Sep 2021 12:16:33 -0700

polymake (4.4-1) experimental; urgency=medium

  * New upstream release
  * Bug fix: "FTBFS with Perl 5.34: error: ‘Perl_pp_keys’ was not declared
    in this scope", thanks to Niko Tyni (Closes: #993330).

 -- David Bremner <bremner@debian.org>  Tue, 31 Aug 2021 16:08:41 -0700

polymake (4.3-4) unstable; urgency=medium

  * Bug fix: "VISUAL with threejs fails", thanks to Joachim Zobel (Closes:
    #986381).

 -- David Bremner <bremner@debian.org>  Wed, 07 Apr 2021 11:56:59 -0300

polymake (4.3-3) unstable; urgency=medium

  * Disable relative volume test when flint is missing (Closes: #981252).
  * Bug fix: "man page mentions outdated file argument", thanks to Joachim
    Zobel for the report, and Benjamin Lorenz for the update (Closes: #977722).

 -- David Bremner <bremner@debian.org>  Fri, 29 Jan 2021 20:45:56 -0400

polymake (4.3-2) unstable; urgency=medium

  * Source only upload

 -- David Bremner <bremner@debian.org>  Wed, 20 Jan 2021 07:13:08 -0400

polymake (4.3-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "node-uglify is deprecated in favor of uglifyjs", thanks to
    yadd@debian.org; (Closes: #979939).

 -- David Bremner <bremner@debian.org>  Mon, 18 Jan 2021 18:50:25 -0400

polymake (4.1-5) unstable; urgency=medium

  * Use gcc 10 on arm64  (Closes: #974058).
  * Acknowledge NMU

 -- David Bremner <bremner@debian.org>  Thu, 03 Dec 2020 17:01:46 -0400

polymake (4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use GCC 9 on arm64.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Nov 2020 09:28:18 +0100

polymake (4.1-4) unstable; urgency=medium

  * Really upload to unstable

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 10:50:19 -0300

polymake (4.1-3) experimental; urgency=medium

  * upload to unstable
  * Bug fix: "FTBFS: pool_allocator.h:36:19: error: ‘typedef std::size_t
    __gnu_cxx::__pool_alloc_base::size_t’ is private within this context",
    thanks to Lucas Nussbaum (Closes: #966910).

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 07:41:22 -0300

polymake (4.1-2) experimental; urgency=medium

  * New upstream version.
  * Build against lrslib 0.71

 -- David Bremner <bremner@debian.org>  Sat, 01 Aug 2020 15:30:45 -0300

polymake (4.0r1-3) unstable; urgency=medium

  * add mips64el to WEAK_ARCHES; use lower optimization levels.
  * don't build-depend on libnormaliz-dev and libflint-dev on mipsel.
  * fix typo in libnormaliz-dev build-dep s/!mip64el/!mips64el/

 -- David Bremner <bremner@debian.org>  Sun, 03 May 2020 16:32:14 -0300

polymake (4.0r1-2) unstable; urgency=medium

  * Also disable gold linker, flint, and normaliz on mipsel, fix FTBFS.

 -- David Bremner <bremner@debian.org>  Fri, 01 May 2020 21:59:58 -0300

polymake (4.0r1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Bug fix: "test failure on mips64el", thanks to Benjamin Lorenz for the
    fix (Closes: #951151).
  * Upstream Bug fix: "FTBFS if terminal is unset", thanks to Gianfranco Costamagna
    (Closes: #951137).

 -- David Bremner <bremner@debian.org>  Thu, 30 Apr 2020 10:23:43 -0300

polymake (4.0-2) unstable; urgency=medium

  [ Benjamin Lorenz ]
  * New upstream version 4.0.
  * Add dependencies for flint and MongoDB interfaces.
  * Full singular is needed at runtime.
  * Remove libxml-perl and libxslt-perl deps and add libjson-perl due
    to file format change.
  * libxml-writer-perl is still needed for the x3d interface.
  * libxml-sax-perl for reading the old xml file format.
  * Bug fix: "polymake: FTBFS: test failure", thanks to Mattia Rizzolo
    (Closes: #949247)
  * Assert compliance with policy 4.5.0

  [ David Bremner ]
  * use single-debian-patch to work from salsa.
  * Cut number of compile processes in half, use 4G per process.

 -- David Bremner <bremner@debian.org>  Thu, 06 Feb 2020 19:46:45 -0400

polymake (3.2r4-4) unstable; urgency=medium

  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Mon, 14 Jan 2019 06:36:07 -0400

polymake (3.2r4-3) experimental; urgency=medium

  * Re-build against the unified arithmetic lrslib

 -- David Bremner <bremner@debian.org>  Wed, 09 Jan 2019 21:02:21 -0400

polymake (3.2r4-2) unstable; urgency=medium

  * re-enable all arches. "architecture mismatch makes libpolymake-dev
    uninstallable", thanks to Jeremy Bicha (Closes: #914845).

 -- David Bremner <bremner@debian.org>  Tue, 27 Nov 2018 20:45:34 -0400

polymake (3.2r4-1) unstable; urgency=medium

  * New upstream release.
  * install polymake-config manpage again (missing in 3.2r2-1, -2)
  * Bug fix: "[polymake] FTBFS with boost1.67", thanks to Giovanni
    Mascellani (Closes: #911949).
  * Bug fix: "polymake FTBFS: test failure", thanks to Adrian Bunk
    (Closes: #912174).
  * Add runtime dependency on sensible-utils, to use "sensible-browser"

 -- David Bremner <bremner@debian.org>  Mon, 26 Nov 2018 18:44:59 -0400

polymake (3.2r2-2) unstable; urgency=medium

  * Disable one test output check in i386; needs some smarter definition
    of floating point equality.
  * Use "-g1" for minimal debug symbols are armhf, mips, mipsel. Attempt to avoid OOM on buildds.

 -- David Bremner <bremner@debian.org>  Tue, 27 Feb 2018 08:40:10 -0400

polymake (3.2r2-1) unstable; urgency=medium

  [ Benjamin Lorenz ]
  * update to 3.2
  * activate callable library
  * enable ppl interface again
  * enable libsingular interface
  [ David Bremner ]
  * Enable test suite
  * Split  into common, dev, and library packages

 -- David Bremner <bremner@debian.org>  Sun, 25 Feb 2018 08:17:13 -0400

polymake (3.1-5) unstable; urgency=medium

  * Bug fix: "polymake FTBFS with gcc 7", thanks to Adrian Bunk (Closes:
    #871929).
  * Disable "no-format" in config.pl; fix clash with hardening flags

 -- David Bremner <bremner@debian.org>  Tue, 15 Aug 2017 08:50:03 -0300

polymake (3.1-4) unstable; urgency=medium

  * bump debhelper compat level to 10
  * Assert compliance with policy 4.0.0
  * update Vcs-git header to use https
  * rebuild against liblrsgmp1

 -- David Bremner <bremner@debian.org>  Tue, 04 Jul 2017 23:16:51 -0300

polymake (3.1-3) unstable; urgency=medium

  * rebuild for unstable

 -- David Bremner <bremner@debian.org>  Sun, 25 Jun 2017 12:29:11 -0300

polymake (3.1-2) experimental; urgency=medium

  * disable -march=native

 -- David Bremner <bremner@debian.org>  Mon, 12 Jun 2017 13:44:59 -0300

polymake (3.1-1) experimental; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Mon, 24 Apr 2017 20:29:12 -0300

polymake (3.0r2-2) unstable; urgency=medium

  * Bug fix: force . in @INC for configure, thanks
    to Dominic Hargreaves (Closes: #835432).

 -- David Bremner <bremner@debian.org>  Mon, 29 Aug 2016 16:51:55 -0300

polymake (3.0r2-1) unstable; urgency=medium

  * New upstream bugfix release, in particular support gcc 6
    and perl 5.24
  * drop dependency on PPL due to (temporary?) PPL build failures

 -- David Bremner <bremner@debian.org>  Wed, 27 Jul 2016 14:03:36 +0900

polymake (3.0r1-4) unstable; urgency=medium

  * Drop support for armhf, mips, mipsel; these all OOM compiling
    rel_int_point.o at O1 and linking at O0.

 -- David Bremner <bremner@debian.org>  Wed, 03 Feb 2016 19:54:48 -0400

polymake (3.0r1-3) unstable; urgency=medium

  * fix typo in optimization level calculation
  * Use -O1 instead of -O0 for weak arches; -O0 causes link time explosion

 -- David Bremner <bremner@debian.org>  Mon, 01 Feb 2016 22:17:18 -0400

polymake (3.0r1-2) unstable; urgency=medium

  * Drop support for armel
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=58938

  * Reduce optimization levels on armhf, mips, and mipsel

 -- David Bremner <bremner@debian.org>  Sun, 31 Jan 2016 20:40:25 -0400

polymake (3.0r1-1) unstable; urgency=medium

  * New upstream bugfix release
    - fix incompatibility of the Integer type with libnormaliz on 32bit
      platforms (Closes: #812431).

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2016 17:29:40 -0400

polymake (3.0-2) unstable; urgency=medium

  * Limit parallel builds to allow 2G per process. Memory starvation +
    optimistic buildd configuration = fail on armel and armhf

 -- David Bremner <bremner@debian.org>  Sat, 23 Jan 2016 20:47:25 -0400

polymake (3.0-1) unstable; urgency=medium

  * Major new upstream release.

 -- David Bremner <bremner@debian.org>  Fri, 22 Jan 2016 17:18:58 -0400

polymake (2.14r1-2) unstable; urgency=medium

  * Cherry pick f293923ae201 (gmp 6.1 problems with libnormaliz)(Closes: #807368).

 -- David Bremner <bremner@debian.org>  Tue, 08 Dec 2015 10:25:31 -0400

polymake (2.14r1-1) unstable; urgency=medium

  * New upstream bugfix release
  * support for gcc 5.x
  * Bug fix: "FTBFS with perl 5.22: compile failure", thanks to Dominic
    Hargreaves (Closes: #796923).

 -- David Bremner <bremner@debian.org>  Wed, 30 Sep 2015 22:32:09 -0300

polymake (2.14-2) unstable; urgency=medium

  * update debian/copyright for missing license

 -- David Bremner <bremner@debian.org>  Thu, 23 Jul 2015 15:35:15 +0200

polymake (2.14-1) unstable; urgency=low

  * Initial debian upload (Closes: #461976)
  
 -- David Bremner <bremner@debian.org>  Tue, 03 Mar 2015 15:03:09 +0100




	
	
